Subject: bug#69384: 30.0.50; :align-to and bidi-paragraph-direction interaction

From: Stephen Berman <[email-masked]>
Date: Mon, 26 Feb 2024 22:46:50 +0100

On Mon, 26 Feb 2024 19:28:09 +0200 Eli Zaretskii <[email-masked]> wrote:

>> Cc: [email-masked]
>> Date: Sun, 25 Feb 2024 19:35:22 +0200
>> From: Eli Zaretskii <[email-masked]>
>>
>> > Sorry for not being clearer in my report: the bug is the broken shaping
>> > with the combination of setting bidi-paragraph-direction and using
>> > :align-to
>>
>> OK, I will look into that when I have time.
>
> It's a relatively recent regression on the master branch, caused by
> yours truly.  I hope I've fixed it now.

I updated and rebuilt, and confirm that with the code I posted that
resulted in broken Arabic shaping, the shaping is now correct.  Thanks!

Steve Berman